/// <reference types="node" />
export declare class Base58Check {
    /**
     * Perform a base58 encoding by appends a 4-byte hash256 checksum
     * at the end of the value.
     * @param buf
     */
    static encode(buf: Buffer): string;
    /**
     * Decodes a base58 check value. Throws error if checksum is invalid
     * @param buf
     */
    static decode(input: string): Buffer;
}
